Package com.sas.lsaf.content.repository

## Enum RepositoryItem.Syncable

- java.lang.Object
- - java.lang.Enum<RepositoryItem.Syncable>
  - - com.sas.lsaf.content.repository.RepositoryItem.Syncable

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RepositoryItem.Syncable>`
  Enclosing class:
    RepositoryItem

      public static enum RepositoryItem.Syncable
      extends java.lang.Enum<RepositoryItem.Syncable>

  Syncable enumeration that controls the workspace synchronization behavior for a specific repository item.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALLOW` | Allow the user to synchronize the item (and child items, if they exist) to the user's workspace.
    `DENY` | Prevents the user from synchronizing the item (and child items, if they exist) to the user's workspace.
    `DENY_ALL` | Prevents the user from synchronizing the item (and child items, if they exist) to their workspace.
    `WARN` | Enables the user interface to warn the user that they are about to synchronize a large item (or subtree of items) to their workspace.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RepositoryItem.Syncable` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RepositoryItem.Syncable[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW

          public static final RepositoryItem.Syncable ALLOW

      Allow the user to synchronize the item (and child items, if they exist) to the user's workspace.

    - #### WARN

          public static final RepositoryItem.Syncable WARN

      Enables the user interface to warn the user that they are about to synchronize a large item (or subtree of items) to their workspace. This state does not prevent the user from synchronizing and is not enforced on the server in any way. It is merely a state for the user interface to use.

    - #### DENY

          public static final RepositoryItem.Syncable DENY

      Prevents the user from synchronizing the item (and child items, if they exist) to the user's workspace. Unlike the WARN setting, this state is enforced by the server and prevents a user from synchronizing at the repository item interactively. Non-interactive processes, such as published job executions, can still synchronize the location.

      Although this state prevents synchronizing from the specific item, if the node is a container, the user can directly synchronize the child items (unless the child items are set to DENY). In other words, this state does not cascade to child items.

    - #### DENY_ALL

          public static final RepositoryItem.Syncable DENY_ALL

      Prevents the user from synchronizing the item (and child items, if they exist) to their workspace. Unlike the WARN setting, this state is enforced by the server and prevents the user from synchronizing the repository item interactively. Non-interactive processes, such as published job executions, are also blocked and cannot synchronize.

      Although this state prevents synchronizing from the specific item, if the node is a container, the user can directly synchronize the child items (unless the child items are set to DENY). In other words, this state does not cascade to child items.

  - ### Method Detail

    - #### values

          public static RepositoryItem.Syncable[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryItem.Syncable c : RepositoryItem.Syncable.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryItem.Syncable valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null